Package com.independentsoft.office.drawing

# Class ReflectionEffect

java.lang.Object
com.independentsoft.office.drawing.ReflectionEffect

public class ReflectionEffect extends Object
The Class ReflectionEffect.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReflectionEffect()`
  Instantiates a new reflection effect.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ReflectionEffect`
  `clone()`
  `RectangleAlignment`
  `getAlignment()`
  Gets the alignment.
  `Unit`
  `getBlurRadius()`
  Gets the blur radius.
  `int`
  `getDirection()`
  Gets the direction.
  `Unit`
  `getDistance()`
  Gets the distance.
  `int`
  `getEndOpacity()`
  Gets the end opacity.
  `int`
  `getEndPosition()`
  Gets the end position.
  `int`
  `getFadeDirection()`
  Gets the fade direction.
  `int`
  `getHorizontalRation()`
  Gets the horizontal ration.
  `int`
  `getHorizontalSkew()`
  Gets the horizontal skew.
  `int`
  `getStartOpacity()`
  Gets the start opacity.
  `int`
  `getStartPosition()`
  Gets the start position.
  `int`
  `getVerticalRation()`
  Gets the vertical ration.
  `int`
  `getVerticalSkew()`
  Gets the vertical skew.
  `boolean`
  `isRotateWithShape()`
  Checks if is rotate with shape.
  `void`
  `setAlignment​(RectangleAlignment alignment)`
  Sets the alignment.
  `void`
  `setBlurRadius​(Unit blurRadius)`
  Sets the blur radius.
  `void`
  `setDirection​(int direction)`
  Sets the direction.
  `void`
  `setDistance​(Unit distance)`
  Sets the distance.
  `void`
  `setEndOpacity​(int endOpacity)`
  Sets the end opacity.
  `void`
  `setEndPosition​(int endPosition)`
  Sets the end position.
  `void`
  `setFadeDirection​(int fadeDirection)`
  Sets the fade direction.
  `void`
  `setHorizontalRation​(int horizontalRatio)`
  Sets the horizontal ration.
  `void`
  `setHorizontalSkew​(int horizontalSkew)`
  Sets the horizontal skew.
  `void`
  `setRotateWithShape​(boolean rotateWithShape)`
  Sets the rotate with shape.
  `void`
  `setStartOpacity​(int startOpacity)`
  Sets the start opacity.
  `void`
  `setStartPosition​(int startPosition)`
  Sets the start position.
  `void`
  `setVerticalRation​(int verticalRatio)`
  Sets the vertical ration.
  `void`
  `setVerticalSkew​(int verticalSkew)`
  Sets the vertical skew.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ReflectionEffect

    public ReflectionEffect()
    Instantiates a new reflection effect.

- ## Method Details

  - ### clone

    public ReflectionEffect clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getAlignment

    public RectangleAlignment getAlignment()
    Gets the alignment.
    Returns:
      the alignment

  - ### setAlignment

    public void setAlignment​(RectangleAlignment alignment)
    Sets the alignment.
    Parameters:
      `alignment` - the new alignment

  - ### getBlurRadius

    public Unit getBlurRadius()
    Gets the blur radius.
    Returns:
      the blur radius

  - ### setBlurRadius

    public void setBlurRadius​(Unit blurRadius)
    Sets the blur radius.
    Parameters:
      `blurRadius` - the new blur radius

  - ### getDirection

    public int getDirection()
    Gets the direction.
    Returns:
      the direction

  - ### setDirection

    public void setDirection​(int direction)
    Sets the direction.
    Parameters:
      `direction` - the new direction

  - ### getDistance

    public Unit getDistance()
    Gets the distance.
    Returns:
      the distance

  - ### setDistance

    public void setDistance​(Unit distance)
    Sets the distance.
    Parameters:
      `distance` - the new distance

  - ### getHorizontalSkew

    public int getHorizontalSkew()
    Gets the horizontal skew.
    Returns:
      the horizontal skew

  - ### setHorizontalSkew

    public void setHorizontalSkew​(int horizontalSkew)
    Sets the horizontal skew.
    Parameters:
      `horizontalSkew` - the new horizontal skew

  - ### getVerticalSkew

    public int getVerticalSkew()
    Gets the vertical skew.
    Returns:
      the vertical skew

  - ### setVerticalSkew

    public void setVerticalSkew​(int verticalSkew)
    Sets the vertical skew.
    Parameters:
      `verticalSkew` - the new vertical skew

  - ### isRotateWithShape

    public boolean isRotateWithShape()
    Checks if is rotate with shape.
    Returns:
      true, if is rotate with shape

  - ### setRotateWithShape

    public void setRotateWithShape​(boolean rotateWithShape)
    Sets the rotate with shape.
    Parameters:
      `rotateWithShape` - the new rotate with shape

  - ### getHorizontalRation

    public int getHorizontalRation()
    Gets the horizontal ration.
    Returns:
      the horizontal ration

  - ### setHorizontalRation

    public void setHorizontalRation​(int horizontalRatio)
    Sets the horizontal ration.
    Parameters:
      `horizontalRatio` - the new horizontal ration

  - ### getVerticalRation

    public int getVerticalRation()
    Gets the vertical ration.
    Returns:
      the vertical ration

  - ### setVerticalRation

    public void setVerticalRation​(int verticalRatio)
    Sets the vertical ration.
    Parameters:
      `verticalRatio` - the new vertical ration

  - ### getEndOpacity

    public int getEndOpacity()
    Gets the end opacity.
    Returns:
      the end opacity

  - ### setEndOpacity

    public void setEndOpacity​(int endOpacity)
    Sets the end opacity.
    Parameters:
      `endOpacity` - the new end opacity

  - ### getEndPosition

    public int getEndPosition()
    Gets the end position.
    Returns:
      the end position

  - ### setEndPosition

    public void setEndPosition​(int endPosition)
    Sets the end position.
    Parameters:
      `endPosition` - the new end position

  - ### getFadeDirection

    public int getFadeDirection()
    Gets the fade direction.
    Returns:
      the fade direction

  - ### setFadeDirection

    public void setFadeDirection​(int fadeDirection)
    Sets the fade direction.
    Parameters:
      `fadeDirection` - the new fade direction

  - ### getStartOpacity

    public int getStartOpacity()
    Gets the start opacity.
    Returns:
      the start opacity

  - ### setStartOpacity

    public void setStartOpacity​(int startOpacity)
    Sets the start opacity.
    Parameters:
      `startOpacity` - the new start opacity

  - ### getStartPosition

    public int getStartPosition()
    Gets the start position.
    Returns:
      the start position

  - ### setStartPosition

    public void setStartPosition​(int startPosition)
    Sets the start position.
    Parameters:
      `startPosition` - the new start position